#
# spec file for package orage
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           orage
Version:        4.12.1
Release:        3.2
Summary:        Time-managing Application for the Xfce Desktop Environment
License:        GPL-2.0+
Group:          Productivity/Office/Organizers
Url:            http://www.xfce.org/projects#applications
Source:         http://archive.xfce.org/src/apps/orage/4.12/%{name}-%{version}.tar.bz2
Source1:        README.SUSE
# PATCH-FIX-UPSTREAM orage-use-docdir.patch gber@opensuse.org -- Use docdir correctly
Patch0:         orage-use-docdir.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  perl
BuildRequires:  update-desktop-files
BuildRequires:  xfce4-dev-tools
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(popt)
Requires:       exo-tools
Requires:       xfce4-panel
Recommends:     %{name}-doc = %{version}
Recommends:     %{name}-lang = %{version}
# use /usr/bin/play to play notification sounds
Recommends:     sox
Provides:       xfcalendar = %{version}
Obsoletes:      xfcalendar < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Orage is a fast and easy to use graphical calendar for the Xfce desktop
environment. It uses the portable ical format and includes common calendar
features like repeating appointments and multiple alarming possibilities. Orage
does not have group calendar features and can only be used for single user.

%package        doc
Summary:        Documentation for orage
Group:          Documentation/HTML
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
This package contains the documentation for orage.

%lang_package

%prep
%setup -q
%patch0 -p1
cp %{SOURCE1} .
sed -i 's:^Icon=clock:Icon=xfcalendar:' globaltime/globaltime.desktop.in

%build
xdt-autogen
# workaround broken libical headers
export CFLAGS="%{optflags} -I%{_includedir}/libical"
%configure --docdir=%{_datadir}/xfce4/orage/html
make %{?_smp_mflags}

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/liborageclock.la

install -D -p -m 644 icons/48x48/xfcalendar.png \
    %{buildroot}%{_datadir}/pixmaps/xfcalendar.png

%suse_update_desktop_file -r xfcalendar X-XFCE Office Calendar GTK
%suse_update_desktop_file -r globaltime X-XFCE Utility Clock GTK
%suse_update_desktop_file xfce-xfcalendar-settings

%fdupes %{buildroot}%{_datadir}

%find_lang %{name} %{?no_lang_C}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NEWS README.SUSE
%{_bindir}/orage
%{_bindir}/globaltime
%{_bindir}/tz_convert
%doc %{_mandir}/man1/globaltime.1*
%doc %{_mandir}/man1/orage.1*
%doc %{_mandir}/man1/tz_convert.1*
%dir %{_datadir}/%{name}
%{_datadir}/orage/sounds/
%{_datadir}/applications/*desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/pixmaps/xfcalendar.png
%{_datadir}/dbus-1/services/org.xfce.*
%{_datadir}/xfce4/panel/plugins/xfce4-orageclock-plugin.desktop
%{_libdir}/xfce4/panel/plugins/liborageclock.so

%files doc
%defattr(-,root,root)
%dir %{_datadir}/xfce4
%dir %{_datadir}/xfce4/orage
%doc %{_datadir}/xfce4/orage/html/

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Apr 12 2015 gber@opensuse.org
- update to version 4.12.1
  - bxo#11807: Wrong plugin module name
  - bxo#11380: Error in manpage
- drop obsolete orage-fix-plugin-filename.patch
* Thu Apr  9 2015 gber@opensuse.org
- add orage-fix-plugin-filename.patch in order to fix the plugin
  filename so that the plugin is found again (bxo#11807)
* Thu Apr  9 2015 gber@opensuse.org
- update to version 4.12.0
  - several issues reported by Coverity fixed.
  - bxo#10647: missing translations in globaltime
  - bxo#10648: missing window title translation in globaltime
  - bxo#10947: Implemented Orage vertical panel clock
  - bxo#8719: Implemented Orage panel plugin as module
  - possible to set delayed file close time
* Wed Dec 11 2013 gber@opensuse.org
- update to version 4.10.0
  - fix bxo#9249: Hourly flag missing from event window and tooltip
  - fix bxo#9830: Pick the date dialog is not localized
  - fix bxo#9014: Rename Execute button to Postpone for snooze
    alarms
  - fix bxo#9017: Clarified Delete confirmation message
  - fix bxo#9024: Clear nto used extra space from main calendar
  - fix bxo#10517: Fix archiving to use correct year
  - fix bxo#10325: Fix startup failure for some languages
  - fix bxo#10108: Use g_strdup() instead of strdup() with g_free()
  - fix bxo#10107: Fixed potential memory leak
  - fix bxo#10473: Fixed crash in file copy with missing files
  - fix bxo#10401: Use exo-open instead of fixed firefox with help
  - fix bxo#9507: Older than 1970 periodic events do not work
  - fix bxo#7929: Some foreign files show time offset in event view
  - fix bxo#8382: Some events were shown on wrong day
  - fix bxo#8508: Event ending at midnight is shown on the next day
  - fix bxo#8426: Missing translations for some timezone names
  - fix bxo#9028: Orage shows events at +0000 with some iCal files
  - fix bxo#9810: Do not show "null" when Location or Notes is empty
  - fix bxo#8231: Make the alarm type selectable for foreign files
  - fix bxo#8383: Possible to start day view on first day of week
  - fix bxo#6597: Tooltip enhacements to use Pango markup
  - fix bxo#9011: Tooltip enhacements to use smaller windows
  - fix bxo#10432: Possible to make Orage quit when asked to close
  - fix bxo#9291: Handle external updates to Orage file also
  - fix bxo#7873: Allow inserting events to foreign files
  - fix bxo#9250: New list of all events in event list window
- drop obsolete orage-do-not-hardcode-firefox.patch
- remove %%clean
- drop unnecessary removal of unsupported locales
* Fri Feb  1 2013 gber@opensuse.org
- update to version 4.8.4:
  - fix bxo#8525: Orage notifies every second on "All day events"
  - fix bxo#4817: anchor('#') does not work in help links
  - fix bxo#9243: strptime() needs _XOPEN_SOURCE_EXTENDED defined
  - fix bxo#9248: internal libical fix SSPM_UNKNOWN_MINOR_TYPE
  - fix bxo#8231: alarm type is selectable for foreign files
  - fix bxo#9739: new TODOs start as NOT completed
  - fix bxo#9738: main window sorts TODOs by due-date
  - fix bxo#9598: main window tooltip shows title and location bold
  - translation updates
- rebase and rename orage-4.8.2-use-docdir.patch to
  orage-use-docdir.patch
- add orage-do-not-hardcode-firefox.patch in order to use exo-open
  instead of hardcoding firefox
* Tue May  1 2012 gber@opensuse.org
- recommend sox so /usr/bin/play can be used to play notification
  sounds
* Sun Apr 15 2012 gber@opensuse.org
- recommend the -doc subpackage
* Fri Mar 30 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -doc subpackage
* Thu Jan  5 2012 gber@opensuse.org
- update to version 4.8.3
  - made it impossible to modify read-only events
  - added location into main calender tooltip
  - word wrap for note in appointment window
  - improved time spinners in appointment window
  - bugfixes
  - translation updates
* Thu Oct 20 2011 gber@opensuse.org
- added orage-4.8.2-use-docdir.patch in order to use docdir
  correctly
- install HTML documentation under /usr/share/xfce4/orage/html
- make the file list a bit more explicit
* Mon Sep 19 2011 gber@opensuse.org
- update to version 4.8.2
  - possible to export from shell
  - variable icon can now be changed
  - procedure alarm replacement parameters
  - hourly repeat option added
  - bugfixes
  - translation updates
* Tue Mar  8 2011 gber@opensuse.org
- update to version 4.8.1
  - bugfixes
  - translation updates
* Thu Feb 17 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Sat Jan 15 2011 gber@opensuse.org
- do not require but recommend -lang subpackage
* Thu Jan 13 2011 gber@opensuse.org
- update to version 4.8
  - bugfixes
  - translation updates
* Fri Dec 24 2010 gber@opensuse.org
- improved description
- added some hints for migrating from older Orage versions to
  README.SUSE
* Fri Dec 24 2010 gber@opensuse.org
- remove unsupported locales
- handle xfce-xfcalendar-settings.desktop
- split off -lang subpackage
- changed globaltime.desktop category to Utility, Clock
* Wed Dec 15 2010 prusnak@opensuse.org
- updated to 4.7.6.7
  - use git snapshot to fix build with Xfce 4.8
* Thu Dec  2 2010 prusnak@opensuse.org
- updated to 4.7.5
* Sun Apr 18 2010 crrodriguez@opensuse.org
- Requires timezone
* Tue Mar 23 2010 puzel@novell.com
- fix broken build: copy README.SUSE to build directory
- add orage-4.6.1-fix-undefined-operation.patch
* Thu Mar 18 2010 prusnak@suse.cz
- add README.SUSE to documentation
* Mon Jul 27 2009 coolo@novell.com
- fix usage of %%_libexecdir
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 4.6.1
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 4.6.0 (Xfce 4.6.0 release)
* Tue Nov 18 2008 pnemec@suse.cz
- call update_desktop_file macro on desktop files [bnc#445722]
* Tue Oct 14 2008 prusnak@suse.cz
- link against distribution libical (shared-libical.patch) [bnc#434984]
- updated to 4.5.14.0
  * Man page created for orage and globaltime
  * Globaltime added.
  - shows several clocks from different timezones
  - can be raised and hidden by clicking middle mouse
    button on orage clock panel plugin
  - has timetune feature, which makes it easy to see what
    the time is in other clocks on certain time
  * All visible dates are now in country native format (strftime (%%x))
  * All parameters now visible in preferences
  - restructured parameter screens
  * New appointment types: TODO and JOURNAL
  - TODO can be used to remember things that needs to done
  - JOURNALs are for notes and things to remember
  * Possible to rename Orage calendar files
  * External files can be used
  - it is possible to add files from other sources
    and Orage keeps track on those.
  * Export and import appointments.
  * Text search in event list
  * Orage is now dependent on local libical.
  - standard libical cannot be used due to several fixes
    done to Orage's private copy
  * Daylist view
  - possible to see calendar in day view format in addition
    to the old list view.
  * New alarms.
  - libnotify alarms
  - script type alarms
  * Possibility to set alarm based on end time also
  * Possible to define default alarm
  * Persistent alarms
  - persistent alarms are raised after Orage is started
    even if your computer or Orage has been turned off when the
    alarm happened.
  * Orage and orageclock now only wake up when needed.
  - saves battery in laptops when timer wakes up only when
    needed instead of regularly every second.
  * Main calendar now has list of events and todos.
  * Better compatibility with evolution ical files
  * Categories added
  - also possible to give colour to certain category
    and then colour is shown in even list view
* Thu May  8 2008 aj@suse.de
- Fix missing return value (missing-retval.patch)
* Mon Dec  3 2007 bwalle@suse.de
- update to 4.4.2
  o Recurrence not recurring at the limit date. Missing fix:
    convert time back to UTC when reading. Caused day to be
    incremented for -GMT timezones
  o Added missing last update time
  o Orage clock now wakes up only when needed. This fix sacrifies a
    little of accuracy to save wakeups. If seconds are not visible
    clock wakes up only once per minute
  o Updated and new translations
* Tue Apr 10 2007 bwalle@suse.de
- update to 4.4.1
  o Bug when adding All day event from iCal. All day events were
    handled wrongly in Orage.
  o Recurring events need to happen on ending date also.
  o Erroneous warning when adding panel plugin.
  o Change field before save so that spin buttons activate always.
  o Many translation updates.
* Wed Mar 21 2007 prusnak@suse.cz
- fixed errors in filelist
* Sun Jan 21 2007 bwalle@suse.de
- upgraded to 4.4.0
* Sat Nov  4 2006 bwalle@suse.de
- updated to 4.3.99.2 (4.4 rc2)
* Mon Sep  4 2006 pnemec@suse.cz
- updated to new version 4.3.99.1
* Wed Aug 23 2006 pnemec@suse.cz
- added dbus-devel to build requires
* Tue Aug  1 2006 pnemec@suse.cz
- initial comment, version is 4.3.90.2
- package moved into BuildService
- added orage-desktop.patch - small modificatin of desktop file
